Skip to content

Instructions d'installation

Fruhmann edited this page Oct 14, 2019 · 6 revisions

Configuration requise

Installer/activer votre serveur Web:

  • Serveur Web (par ex. Apache)
  • PHP 5.6+
  • Base de données (par ex. MySQL)
  • Magento 2
  • Git
  • Composer

Installez les bibliothèques/modules PHP suivants:

  • simplexml
  • cURL
  • ZIP
  • zlib
  • GD Library
  • mcrypt
  • mbstrings
  • XML
  • Intl
  • DOM
  • Hash
  • OpenSSL
  • soap
  • spl
  • json
  • iconv

Nous vous recommandons également d’ajouter Composer à votre PATH, par exemple. apt-get install -y git
curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer

Installer l’extension

  1. Accédez au répertoire racine de la boutique Magento 2, par exemple cd /var/www/html/
  1. Ajoutez la dépendance via Composer:
    composer require wirecard/magento2-ee

Composer ajoute à présent les fichiers de l’extension dans le dossier fournisseur. L’extension Wirecard Magento 2 est installée mais désactivée.

  1. Activez l’extension et mettez à jour le schéma de base de données:
    php bin/magento setup:upgrade

  2. Exécutez le compilateur Magento 2:
    php bin/magento setup:di:compile

    php bin/magento cron:install

    php bin/magento indexer:reindex

    php bin/magento cache:flush

  3. Pour vérifier si l’installation a réussi, tapez la commande php bin/magento module:status

    La commande fournit la liste des extensions activées Wirecard_ElasticEngine.

    • Vous pouvez également consulter le fichier app/etc/config.php et voir les extensions activées. Si l’extension Wirecard Magento 2 est activée, le fichier contient une entrée comme celle-ci Wirecard_ElasticEngine => 1
  4. L’extension est pré-configurée avec les données de test par défaut, ce qui vous permet d’effectuer votre premier test de paiement. Cependant, nous vous recommandons d’adapter la configuration à vos besoins.

  5. Configurer séparément l’extension pour chaque mode de paiement.

Si vous rencontrez un problème, vous devez éventuellement faire une mise à jour du Composer.

Clone this wiki locally
You can’t perform that action at this time.